local NAME = minetest.get_current_modname()
local PATH = minetest.get_modpath(NAME) .."/lua/"
local MODFILES = minetest.get_dir_list(PATH, false)

spacenum = 20 - string.len(NAME)

-- This assumes that the lua/ subdir contains lua code only.

for i=1,table.getn(MODFILES),1
do
	minetest.debug("│ "..NAME .. string.rep(" ",spacenum) .."load    " .. MODFILES[i])
	dofile(PATH .. MODFILES[i])
end
